Imagick::getVersion
Imagick::hasNextImage
The Imagick class
PHP Manual

# Imagick::haldClutImage

(No version information available, might only be in SVN)

Imagick::haldClutImage — Replaces colors in the image

### Description

public boolean Imagick::haldClutImage ( Imagick `$clut` [, int `$channel` ] )

Replaces colors in the image using a Hald lookup table. Hald images can be created using HALD color coder.

### Parameters

`clut`

  Imagick object containing the Hald lookup image.

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channel constants using bitwise operators. Defaults to `Imagick::CHANNEL_DEFAULT`. Refer to this list of channel constants

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::getVersion
Imagick::hasNextImage
The Imagick class
PHP Manual